function [FWHM] = getFWHM(signal,tinc)
% gets the Full Width at Half Max [FWHM] for a given signal [signal] by
% first counting the indexes then multiplying by the time interval [tinc]

high = signal > .5*max(signal);

count=sum(high);

FWHM = count*tinc;