function [x,y]=circ_geom(bs,s)
%CIRC_GEOM Creates a geometry file for a unit circle.

% Number of boundary segments
nbs=1;

if nargin==0 % Number of boundary segments
    x=nbs;
elseif nargin==1 % Create 4 boundary segments
    dl=[0     
        2*pi  
        1
        0];
    x=dl(:,bs);

else % Coordinates of edge segment points
    z=exp(1i*s);
    x=real(z);
    y=imag(z);
end