%% Analaysis of the HFSS data

clear, close all;

path   = '~/matlab_workspace/HFSS/';

data1 = csvread([path 'S12HFSS.csv'],1);

figure('Name','Stripline w=.186 h=.15 l=8.86','NumberTitle','off')

plot(data1(:,1),data1(:,2),'-x','Color',[1,0,0]         ,'LineWidth',2);
grid on

xlabel('Frequency (Hz)')
ylabel('Gain (dB)')
title('S12 Stripline with w =.186 h=.15 l=8.86');

