function[pname,fname,nwvs,swv,lowcut,Tfromedge,THcountcut,TWcenter,TWsize,maxTfromWcenter,dhumpTwidth,Tcutonafterpulse,reducerange,zeroORmax]=FWparamsAna(whichset)


if(whichset==1)

    %path and form of the file names
    pname = '/Volumes/NO NAME/MCP measurements/5-27_MCPmeasurements72-78/';
    fname = '500_1800_3100V_3mVscale_centered_CH2max_'
    
    %starting file number
    swv=1;
    %number of files to analyze
    nwvs=60;
    %quality cut on the lowest acceptable max signal on the sum of all 4
    %channels
    lowcut = .009;
    %When we used pulsed LED data, the peak times vary over the whole
    %time interval being recorded by the scope. To make sure that we 
    %have the entire pulse contained within a given time window, we 
    %require the signal max to be a certain amount of time away from 
    %the edges of the scopre's time range.
    Tfromedge=3e-9;
    %Cut down the size of the data arrays to only include the important
    %parts of the pulses
    reducerange=0;
    %Center the reduced range about the actual signal max, or about a fixed
    %time corresponding to when the signal max should happen
    zeroORmax=0;
    %location (in time) of typical pulse max from laser pulses
%    TWcenter=7.65e-9; 1000Volts
    TWcenter=7e-9;
    %desired time window for the "reduced range"
    TWsize=8e-9;
    %Threshold value used to count events with afterpulses
    THcountcut = lowcut*2;
    %cut on the time delay of the pulse max from TWcenter
    maxTfromWcenter=1e-9;
    %cut on the duration of a pulse to identify (wide) double-humped pulses
    dhumpTwidth=2.8e-9;
    %how soon we allow an afterpulse to occur after the original pulse
    Tcutonafterpulse=30e-9;

end

if(whichset==2)
    
    pname = '/home/preston/Desktop/Argonne_data/MCP_72_88_scan';
    fname = '1000_2350_3700_10mVsc7mVtr_cent_CH2max_';      
    swv=1;
    nwvs=3;
    lowcut = .013;
    Tfromedge=3e-9;
    THcountcut = lowcut*2;
%    TWcenter=7.65e-9; 1000Volts
    TWcenter=7e-9;
    TWsize=8e-9;
    maxTfromWcenter=1e-9;
    dhumpTwidth=2.8e-9;
    Tcutonafterpulse=30e-9;
    reducerange=1;
    zeroORmax=0;
    uppercut=1;

end


if(whichset==3)
    
    pname = '/Volumes/NO NAME/MCP measurements/4-23-10_MCP_72-78/';
    fname = '1100_2400_3700_20mVscale_5k_'
    
    swv=1;
    nwvs=10;
    cutlow = 1;
    cuthigh =1;
    lowcut = .065;
    uppercut = 0.2;
    lowtime = -1.5e-9;
    hightime = 3.0e-9;
    FWHMcut = 1.0e-9;
    zeroORmax=1;
    uppercut=0;
end







end