function amplifications = getAmplifications(theWaves,time)

    [asize bsize]=size(theWaves(:,:,2));

    AmpFact1=zeros(bsize,1);
    AmpFact2=zeros(bsize,1);
    AmpFact3=zeros(bsize,1);
    AmpFact4=zeros(bsize,1);
    AmpFactTot=zeros(bsize,1);


    for i=1:bsize
        totWaves = theWaves(:,i,1) + theWaves(:,i,2) + theWaves(:,i,3) + theWaves(:,i,4);
        amp1=IntegrateCharge(theWaves(:,i,1),time,1,asize,12);
        amp2=IntegrateCharge(theWaves(:,i,2),time,1,asize,12);
        amp3=IntegrateCharge(theWaves(:,i,3),time,1,asize,12);
        amp4=IntegrateCharge(theWaves(:,i,4),time,1,asize,12);
        ampTot=IntegrateCharge(totWaves,time,1,asize,12);
        AmpFact1(i,1)=(amp1)/(1.60217646e-19);
        AmpFact2(i,1)=(amp2)/(1.60217646e-19);
        AmpFact3(i,1)=(amp3)/(1.60217646e-19);
        AmpFact4(i,1)=(amp4)/(1.60217646e-19);
        AmpFactTot(i,1)=(ampTot)/(1.60217646e-19);

    end

    amplifications(:,1) = AmpFact1;
    clear AmpFact1;
    amplifications(:,2) = AmpFact2;
    clear AmpFact2;
    amplifications(:,3) = AmpFact3;
    clear AmpFact3;
    amplifications(:,4) = AmpFact4;
    clear AmpFact4;
    amplifications(:,5) = AmpFactTot;
    clear AmpFactTot;
    
end