myBins = 1e5:100000:1e7;
figure(1)
lowHist = hist(ampsLow,myBins);
bar(myBins,lowHist)
title('Low end of scopescale')

% numer is the numerator of the average
numer = sum(myBins.*lowHist);
% denom is denominator of the average
denom = sum(lowHist);

evstats(3) = numer/denom;

clear numer denom

figure(4)
scatter( VmaxsLow(:,2)  , ampsLow , 1);
title('Amplification vs Signal Max on Ch. 2')
xlabel('Signal Max on Channel 2')
ylabel('Total Amplification')


rtBins = 0:.2e-10:4e-9;
figure(5)
subplot(2,2,1:2)
hist(risetimeLow,rtBins)
title('Histogram of rise times of signal on channel 2')

fwhmBins = 0:50e-12:5e-9;
subplot(2,2,3:4)
hist(fwhmsLow,fwhmBins)
title('Histogram of the FWHM distribution on Channel 2')

if ( lightsource == 1 )
    
    [~,bb,~] = size(timingWavesLow);
    aTimeLow = zeros(1,bb);
    for i = 1:bb
        [edgeT] = findThresholdsSimple(timingWavesLow(:,i,2),.25*timingVmaxsLow(i,2),time);
        aTimeLow(1,i) = 55*tinc + edgeT;        
    end
    atBins = 0:1e-10:10e-9;
    figure(6)
    hist(aTimeLow,atBins)
    title('Arrival Time of Pulses')
    xlabel('Time (seconds)')
    clear bb
end