%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Network analyzer data analysis %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear, close all;
data1  = csvread('trace01.csv',3); % s11 Psec3 magni board with res with chip power off
data2  = csvread('trace02.csv',3); % s11 Psec3 board magni with res with chip power on
data3  = csvread('trace03.csv',3); % s11 Psec2 board magni with res with chip power
data4  = csvread('trace04.csv',3); % s12 113cm cable magni
data5  = csvread('trace05.csv',3); % s12 Psec2 board magni without res with chip
data6  = csvread('trace06.csv',3); % s12 Psec3 board magni without res with chip
data7  = csvread('trace07.csv',3); % s12 Psec3 board phase
data8  = csvread('trace08.csv',3); % s11 Psec3 board phase without res with chip
data9  = csvread('trace09.csv',3); % s11 Psec3 board phase with    res with chip
data10 = csvread('trace10.csv',3); % s11 Psec3 board magni without res with chip
data11 = csvread('trace11.csv',3); % s11 Psec3 board smith with    res with chip
data12 = csvread('trace12.csv',3); % s12 Psec3 board smith without res with chip
data13 = csvread('trace13.csv',3); % s12 37cm  cable magni
data14 = csvread('trace14.csv',3); % s12 37cm  cable phase
data15 = csvread('trace15.csv',3); % s11 Psec2 board magni without res without chip
data16 = csvread('trace16.csv',3); % s12 Psec2 board magni without res without chip
data17 = csvread('trace17.csv',3); % s12 Psec2 board phase without res without chip

%% Cable data
figure(1)
 semilogx(data4(:,1),data4(:,2));
 semilogx(data13(:,1),data13(:,2));
 grid on

%% Bare board data
figure(2)
 semilogx(data16(:,1),data16(:,2));
 grid on